{% extends 'base.html.twig' %}

{% form_theme createTodo 'form/createfields.twig' %}

{% block body %}

<div class="wrapper">

    <div class="welcome show_container_name">
        <h3>{{ container.name }}</h3>
        <div class="actions">
            <a href="{{ url('app_main') }}"><i class="fa-solid fa-arrow-left"></i> Powrót</a>
            {{ form_start(deleteForm) }}
                {{ form_widget(deleteForm._token) }}
                <button type="submit"><i class="fa-solid fa-trash"></i> Usuń</button>
            {{ form_end(deleteForm) }}
        </div>
    </div>
    <div class="todos">
        <span class="todos__info">To Do:</span>
        
        {% for todo in todos %}
            <div class="todo__card">
                <span class="todo__name" {{ todo.done ? 'style="text-decoration: line-through;"' : '' }}>{{ todo.name }}</span>
                <span class="todo__actions">
                    <form action="{{ url('app_update', {'id': todo.id}) }}" method="POST">
                        <input type="hidden" name="_method" value="PATCH">
                        <input type="hidden" name="container" value="{{ container.id }}">
                        <input type="hidden" name="_token" value="{{ csrf_token('todo') }}">
                        <input type="checkbox" name="done" {{ todo.done ? 'checked' : '' }} onChange="this.form.submit()">
                    </form>
                </span>
            </div>
        {% endfor %}


        <div class="todo__card todo__create">
            {{ form_start(createTodo) }}
                {{ form_row(createTodo.name) }}
                <input type="submit" value="Dodaj">
            {{ form_end(createTodo) }}
        </div>

    </div>

</div>

{% endblock %}
